cpw.mods.fml.common.network.internal

## Class NetworkModHolder

- java.lang.Object
- - cpw.mods.fml.common.network.internal.NetworkModHolder

-     public class NetworkModHolder
      extends java.lang.Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `class` | `NetworkModHolder.NetworkChecker`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `NetworkModHolder(ModContainer container)`
    `NetworkModHolder(ModContainer container, java.lang.Class<?> modClass, java.lang.String acceptableVersionRange, ASMDataTable table)`
    `NetworkModHolder(ModContainer container, NetworkModHolder.NetworkChecker checker)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `acceptVersion(java.lang.String version)`
    `boolean` | `check(java.util.Map<java.lang.String,java.lang.String> data, Side side)`
    `ModContainer` | `getContainer()`
    `int` | `getLocalId()`
    `int` | `getNetworkId()`
    `void` | `setNetworkId(int value)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### NetworkModHolder

          public NetworkModHolder(ModContainer container)

    - #### NetworkModHolder

          public NetworkModHolder(ModContainer container,
                          NetworkModHolder.NetworkChecker checker)

    - #### NetworkModHolder

          public NetworkModHolder(ModContainer container,
                          java.lang.Class<?> modClass,
                          java.lang.String acceptableVersionRange,
                          ASMDataTable table)

  - ### Method Detail

    - #### acceptVersion

          public boolean acceptVersion(java.lang.String version)

    - #### check

          public boolean check(java.util.Map<java.lang.String,java.lang.String> data,
                      Side side)

    - #### getLocalId

          public int getLocalId()

    - #### getNetworkId

          public int getNetworkId()

    - #### getContainer

          public ModContainer getContainer()

    - #### setNetworkId

          public void setNetworkId(int value)